% =========================================================================
% Declare endogenous variables
% =========================================================================
var
  x        ${X}$           (long_name='ARMA(1,1) Process')
;

% =========================================================================
% Declare exogenous variables
% =========================================================================
varexo
  e        ${\varepsilon}$ (long_name='White Noise Process')
;

% =========================================================================
% Declare parameters
% =========================================================================
parameters
  THETA_1  ${\theta_1}$    (long_name='AR parameter')
  THETA_2  ${\theta_2}$    (long_name='MA parameter')
;

% =========================================================================
% Model equations
% =========================================================================
model;
[name='ARMA(1,1)']
x - THETA_1*x(-1) = e - THETA_2*e(-1);
end;

% =========================================================================
% Steady State Model
% =========================================================================
steady_state_model;
x = 0;
end;

